corda / net.corda.core.serialization / LoggingWhitelist

# LoggingWhitelist

`class LoggingWhitelist : MutableClassWhitelist`

This class is not currently used, but can be installed to log a large number of missing entries from the whitelist and was used to track down the initial set.

### Constructors

<init> | `LoggingWhitelist(delegate: ClassWhitelist, global: Boolean = true)` This class is not currently used, but can be installed to log a large number of missing entries from the whitelist and was used to track down the initial set.

### Properties

delegate | `val delegate: ClassWhitelist`
global | `val global: Boolean`

### Functions

add | `fun add(entry: Class<*>): Unit`
hasListed | `fun hasListed(type: Class<*>): Boolean`

### Companion Object Properties

globallySeen | `val globallySeen: MutableSet<String>`
journalWriter | `val journalWriter: PrintWriter?`
log | `val log: Logger`